%define module	ldap3

Name:		python-%{module}
Version:	2.9.1
Release:	%mkrel 4
Summary:	Strictly RFC 4511 conforming LDAP V3 pure Python client
Group:		Development/Python
License:	LGPLv2+
URL:		https://github.com/cannatag/ldap3
Source0:	https://github.com/cannatag/ldap3/archive/v%{version}/%{module}-%{version}.tar.gz
Patch0002:	0002-unbundle-ordereddict.patch
BuildArch:	noarch

%description
python-%{module} is a strictly RFC 4511 conforming LDAP V3 pure Python client.
The same codebase works with Python, Python 3, PyPy and PyPy3.

%package -n	python3-%{module}
Summary:	Strictly RFC 4511 conforming LDAP V3 pure Python3 client
Group:		Development/Python
BuildArch:	noarch
BuildRequires: pyproject-rpm-macros
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
%{?python_provide:%python_provide python3-%{module}}

%description -n	python3-%{module}
python3-%{module} is a strictly RFC 4511 conforming LDAP V3 pure Python client.
The same codebase works with Python, Python 3, PyPy and PyPy3.

%prep
%autosetup -n %{module}-%{version} -p1

# Remove bundled ordereddict
rm -vf %{module}/utils/ordDict.py

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files ldap3

%files -n python3-%{module} -f %{pyproject_files}
%doc README.rst _version.json
%license COPYING.txt COPYING.LESSER.txt LICENSE.txt



%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2.9.1-4.mga10
+ Revision: 2240156
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 2.9.1-3.mga10
+ Revision: 2157228
- rebuild for python3.13

* Tue Dec 12 2023 tv <tv> 2.9.1-2.mga10
+ Revision: 2017528
- Rebuild for python 3.?12

* Wed Sep 07 2022 neoclust <neoclust> 2.9.1-1.mga9
+ Revision: 1885090
- New version 	2.9.1

* Wed Mar 23 2022 umeabot <umeabot> 2.9-3.mga9
+ Revision: 1823649
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 2.9-2.mga9
+ Revision: 1783837
- rebuild for python-3.10

* Fri Mar 26 2021 daviddavid <daviddavid> 2.9-1.mga9
+ Revision: 1710420
- new version: 2.9

* Mon Mar 22 2021 daviddavid <daviddavid> 2.8.1-2.mga9
+ Revision: 1707398
- rebuild for python 3.9

* Thu Sep 24 2020 daviddavid <daviddavid> 2.8.1-1.mga8
+ Revision: 1629853
- new version: 2.8.1

* Wed Jul 15 2020 daviddavid <daviddavid> 2.7-2.mga8
+ Revision: 1606211
- add missing python_provides

* Tue Mar 31 2020 daviddavid <daviddavid> 2.7-1.mga8
+ Revision: 1562573
- new version: 2.7

* Sun Feb 16 2020 umeabot <umeabot> 2.6.1-2.mga8
+ Revision: 1531033
- Mageia 8 Mass Rebuild

* Mon Sep 09 2019 daviddavid <daviddavid> 2.6.1-1.mga8
+ Revision: 1438778
- new version: 2.6.1
- rebuild for python3.8
- drop python2 support

* Tue Mar 26 2019 daviddavid <daviddavid> 2.6-1.mga7
+ Revision: 1380232
- new version: 2.6

* Sat Jan 12 2019 daviddavid <daviddavid> 2.5.2-1.mga7
+ Revision: 1355564
- new version: 2.5.2

* Sat Jan 05 2019 wally <wally> 2.5.1-3.mga7
+ Revision: 1349454
- rebuild for python3.7

* Thu Sep 20 2018 umeabot <umeabot> 2.5.1-2.mga7
+ Revision: 1289167
- Mageia 7 Mass Rebuild

* Sun Aug 19 2018 daviddavid <daviddavid> 2.5.1-1.mga7
+ Revision: 1252748
- new version: 2.5.1
- rediff unbundle-ordereddict patch

* Wed Apr 18 2018 daviddavid <daviddavid> 2.5-1.mga7
+ Revision: 1219988
- new version: 2.5

* Sun Jan 28 2018 daviddavid <daviddavid> 2.4.1-1.mga7
+ Revision: 1197529
- new version: 2.4.1

* Fri Nov 17 2017 daviddavid <daviddavid> 2.4-1.mga7
+ Revision: 1177600
- new version: 2.4
- rename python-ldap3 to python2-ldap3

* Sat Aug 05 2017 pterjan <pterjan> 1.3.1-2.mga7
+ Revision: 1135479
- Rebuild for python 3.6

* Tue May 17 2016 daviddavid <daviddavid> 1.3.1-1.mga6
+ Revision: 1016297
- new version: 1.3.1
- rediff/redo ssl_unbundle patch

* Wed Apr 06 2016 daviddavid <daviddavid> 1.2.2-1.mga6
+ Revision: 998990
- new version: 1.2.2
- rediff/redo ssl_unbundle patch

* Sun Feb 21 2016 daviddavid <daviddavid> 1.0.4-1.mga6
+ Revision: 975065
- imported package python-ldap3

